Subject: Re: [workaround patch] cp filename FILENAME
From: [email-masked] (Earnie Boyd)

16 Nov 1998 23:57:49 -0800
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: cygwin users <[email-masked]>

Ooops.  I forgot to add O_BINARY to the open statements.

---Earnie Boyd <[email-masked]> wrote:
>
> I've attached a workaround patch to cp.c from fileutils-3.16 which
will correctly state that your copying to the same file regardless of
case.
> 
> I've called this a workaround patch because the real fix needs to
happen at the winsup level with the inode emulation; but, I'm not
setup to fix the winsup source.  The fix should simply be to change
the case of the string to be the same, similar to what I've done for
cp.c, unless mixed case is on.
> 
> NOTE: If you are using the NTFS mixed case mode, don't apply this
patch.
> 
> ==
> -                        \\||//
> -------------------o0O0--Earnie--0O0o-------------------
> --                [email-masked]               --
> -- http://www.freeyellow.com/members5/gw32/index.html --
> ----------------------ooo0O--O0ooo----------------------
> 
> PS: Newbie's, you should visit my page.
> _________________________________________________________
> DO YOU YAHOO!?
> Get your free @yahoo.com address at http://mail.yahoo.com
> 
> ATTACHMENT part 2 application/x-unknown-content-type-fma000_vim
name=cp.c.diff

==
-                        \\||//
-------------------o0O0--Earnie--0O0o-------------------
--                [email-masked]               --
-- http://www.freeyellow.com/members5/gw32/index.html --
----------------------ooo0O--O0ooo----------------------

PS: Newbie's, you should visit my page.
_________________________________________________________
DO YOU YAHOO!?
Get your free @yahoo.com address at http://mail.yahoo.com

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".